Update an agent
POST
/api/v3/agents/{agentUuid}
const url = 'https://api.tryletterhead.com/api/v3/agents/example';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"api":true,"name":"Updated Agent Name","guidelines":"New instructions for the AI.","runMode":1,"channels":["an-example-channel"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.tryletterhead.com/api/v3/agents/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "api": true, "name": "Updated Agent Name", "guidelines": "New instructions for the AI.", "runMode": 1, "channels": [ "an-example-channel" ] }'Authorizations
Section titled โAuthorizations โParameters
Section titled โ Parameters โPath Parameters
Section titled โPath Parameters โ agentUuid
required
string
The agentโs unique identifier.
Request Body required
Section titled โRequest Body required โ Media type application/json
object
api
Required. Set to true to authenticate with an API key.
boolean
name
string
guidelines
string
runMode
integer
channels
Array<string>
Example
{ "api": true, "name": "Updated Agent Name", "guidelines": "New instructions for the AI.", "runMode": 1, "channels": [ "an-example-channel" ]}Responses
Section titled โ Responses โSuccessful response
Still can’t find what you need? Contact support.